Bug 880098 - 3.2 vdsm: performance issues for SPM when one of the domains is inactive
3.2 vdsm: performance issues for SPM when one of the domains is inactive
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
unspecified
x86_64 Linux
high Severity high
: ---
: 3.2.0
Assigned To: Federico Simoncelli
Dafna Ron
storage
: ZStream
Depends On:
Blocks: 920136 922807
  Show dependency treegraph
 
Reported: 2012-11-26 04:16 EST by Dafna Ron
Modified: 2016-02-10 14:49 EST (History)
12 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-11.0.el6ev
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 920136 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
logs (479.23 KB, application/x-gzip)
2012-11-26 04:16 EST, Dafna Ron
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10305 None None None Never

  None (edit)
Description Dafna Ron 2012-11-26 04:16:31 EST
Created attachment 651823 [details]
logs

Description of problem:

I blocked connectivity from the spm to the iso domain only and once the domain becomes inactive in engine the performance for SPM tasks has dropped. 

Version-Release number of selected component (if applicable):

vdsm-4.9.6-44.0.el6_3.x86_64

How reproducible:

100%

Steps to Reproduce:
1. block connectivity to the iso domain from the hosts. 
2. after domain becomes inactive start sending commands to the spm. 
3.

* I don't think that its related to the performance changes but after the domain was inactive I also added my setup to the qa domain (using rhevm-manage-domains tool). 
  
Actual results:

spm commands take much longer because iso domain is reported as stuck in vdsm log

Expected results:

we should not have any performance issues because a domain is inactive.
 
Additional info: logs

in attached logs: 
we can see that CreateImageVDSCommand is sent to vdsm at 10:56:24 but the CreateImageVDSCommand is only issued at 10:58:04
Comment 3 Federico Simoncelli 2012-12-21 11:28:55 EST
commit 3ded8c7e1671c6a60ec6fe43ae250329cd6bb4ae
Author: Federico Simoncelli <fsimonce@redhat.com>
Date:   Fri Dec 21 11:18:29 2012 -0500

    stats: compute the iso prefix asynchronously
    
    The iso prefix must be computed asynchronously because in any other
    synchronous operation (e.g.: connectStoragePool, getInfo) vdsm cannot
    risk to stop and wait for the iso domain to report its prefix (since
    it might be unreachable).
    
    Bug-Url: https://bugzilla.redhat.com/show_bug.cgi?id=880098
    Change-Id: I09b7be78da544547a6ed9d5b440bdb0037004c16
    Signed-off-by: Federico Simoncelli <fsimonce@redhat.com>

http://gerrit.ovirt.org/#/c/10305/
Comment 8 Dafna Ron 2013-03-13 11:23:50 EDT
verified on sf10 with vdsm-4.10.2-11.0.el6ev.x86_64 and libvirt-0.10.2-18.el6_4.eblake.2.x86_64
Comment 9 Itamar Heim 2013-06-11 05:42:18 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 05:42:45 EDT
3.2 has been released
Comment 11 Itamar Heim 2013-06-11 05:54:32 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.